package com.izouma.awesomeadmin.dto;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import java.util.Date;

@JsonAutoDetect
// 表明忽略为null的属性
@JsonSerialize(include = JsonSerialize.Inclusion.NON_NULL)
public class WxPaySendData {

    private String appid;

    private String mch_id;

    private String sub_appid;

    private String sub_mch_id;

    private String device_info;

    private String nonce_str;

    private String sign;

    private String body;

    private Date createDate;

    private String detail;

    private String attach;

    private String out_trade_no;

    private String fee_type;

    private int total_fee;

    private String spbill_create_ip;

    private String time_start;

    private String time_expire;

    private String notify_url;

    private String trade_type;

    private String openid;


    public String getAppid() {

        return appid;
    }


    public void setAppid(String appid) {

        this.appid = appid;
    }


    public String getMch_id() {

        return mch_id;
    }


    public void setMch_id(String mch_id) {

        this.mch_id = mch_id;
    }


    public String getSub_appid() {

        return sub_appid;
    }


    public void setSub_appid(String sub_appid) {

        this.sub_appid = sub_appid;
    }


    public String getSub_mch_id() {

        return sub_mch_id;
    }


    public void setSub_mch_id(String sub_mch_id) {

        this.sub_mch_id = sub_mch_id;
    }


    public String getDevice_info() {

        return device_info;
    }


    public void setDevice_info(String device_info) {

        this.device_info = device_info;
    }


    public String getNonce_str() {

        return nonce_str;
    }


    public void setNonce_str(String nonce_str) {

        this.nonce_str = nonce_str;
    }


    public String getSign() {

        return sign;
    }


    public void setSign(String sign) {

        this.sign = sign;
    }


    public String getBody() {

        return body;
    }


    public void setBody(String body) {

        this.body = body;
    }


    public Date getCreateDate() {

        return createDate;
    }


    public void setCreateDate(Date createDate) {

        this.createDate = createDate;
    }


    public String getDetail() {

        return detail;
    }


    public void setDetail(String detail) {

        this.detail = detail;
    }


    public String getAttach() {

        return attach;
    }


    public void setAttach(String attach) {

        this.attach = attach;
    }


    public String getOut_trade_no() {

        return out_trade_no;
    }


    public void setOut_trade_no(String out_trade_no) {

        this.out_trade_no = out_trade_no;
    }


    public String getFee_type() {

        return fee_type;
    }


    public void setFee_type(String fee_type) {

        this.fee_type = fee_type;
    }


    public int getTotal_fee() {

        return total_fee;
    }


    public void setTotal_fee(int total_fee) {

        this.total_fee = total_fee;
    }


    public String getSpbill_create_ip() {

        return spbill_create_ip;
    }


    public void setSpbill_create_ip(String spbill_create_ip) {

        this.spbill_create_ip = spbill_create_ip;
    }


    public String getTime_start() {

        return time_start;
    }


    public void setTime_start(String time_start) {

        this.time_start = time_start;
    }


    public String getTime_expire() {

        return time_expire;
    }


    public void setTime_expire(String time_expire) {

        this.time_expire = time_expire;
    }


    public String getNotify_url() {

        return notify_url;
    }


    public void setNotify_url(String notify_url) {

        this.notify_url = notify_url;
    }


    public String getTrade_type() {

        return trade_type;
    }


    public void setTrade_type(String trade_type) {

        this.trade_type = trade_type;
    }


    public String getOpenid() {

        return openid;
    }


    public void setOpenid(String openid) {

        this.openid = openid;
    }

}
